Skip to main content
GET
Get Mock Tool Data

Authorizations

X-API-Key
string
header
required

Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.

Path Parameters

mockToolDataId
string
required

Unique identifier of the mock tool data record.

Query Parameters

agentId
string

Optional agent identifier. When supplied, returns mocks that belong to the agent.

Response

OK

A mock tool response stored in the tenant mock library.

mockToolDataId
string

Public identifier of the mock tool data record.

Example:

"mock_dpKjqjKnY3z6gABF"

name
string

Human-readable name for this mock.

Example:

"Success - Order Confirmed"

agentId
string

The unique identifier of the agent this mock belongs to.

Example:

"agent_D5D0p7TUs66TTAEAx"

toolId
string

Public identifier of the integration tool this mock belongs to.

Example:

"tool_X9pLm2Wq8Rt3"

toolAlias
string

Agent tool alias this mock was created against.

Example:

"get_order"

toolName
string

Display name of the tool at the time the mock was created.

Example:

"Get Order"

request
object

Request payload (or placeholders) associated with this mock.

Example:
response
object

Mocked HTTP response body.

Example:
statusCode
integer<int32>

HTTP status code returned when this mock is used.

Example:

200

delay
integer<int64>

Artificial delay in milliseconds before returning the mock response.

Example:

500